import datetime
import json

ALLOWED_HTML_TAGS = [
    'a',
    'h1',
    'h2',
    'h3',
    'h4',
    'h5',
    'h6',
    'p',
    'ul',
    'ol',
    'li',
    'b',
    'i',
    'strong',
    'em',
    'u',
    'table',
    'tr',
    'td',
    'th',
    'thead',
    'tbody'
]

HTML_FIELDS = [
    'Description'
]

WOO_IMP_EXP_PRODUCT_FIELDS = [
    # ("FieldName", "Default Value"),
    ("Id", ""),
    ("Product Name", ""),
    ("Created Date", datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S")),
    ("Description", ""),
    ("Product Type", "simple"),
    ("Categories", json.dumps([])),
    ("Price", 0),
    ("Short Description", ""),
    ("Product Status", "publish"),
    ("Permalink", ""),
    ("Tags", ""),
    ("SKU", ""),
    ("Sale Price", ""),
    ("Visibility", "visible"),
    ("On Sale", "no"),
    ("Stock Status", "instock"),
    ("Regular Price", 0),
    ("Total Sales", 0),
    ("Downloadable", "no"),
    ("Virtual", "no"),
    ("Purchase Note", ""),
    ("Weight", ""),
    ("Length", ""),
    ("Width", ""),
    ("Height", ""),
    ("Unit", "in"),
    ("Sold Individually", "no"),
    ("Manage Stock", "no"),
    ("Stock", ""),
    ("Backorders Allowed", "false"),
    ("Backorders", "no"),
    ("Purchaseable", "yes"),
    ("Featured", "no"),
    ("Is Taxable", "yes"),
    ("Tax Status", "taxable"),
    ("Tax Class", ""),
    ("Product Images", "false"),
    ("Product Image Set", "no"),
    ("Download Limit", ""),
    ("Download Expiry", ""),
    ("Downloadable Files", ""),
    ("Download Type", ""),
    ("Product URL", ""),
    ("Button Text", ""),
    ("Shipping Required", "yes"),
    ("Shipping Taxable", "yes"),
    ("Shipping Class", ""),
    ("Shipping Class Id", ""),
    ("Average Rating", 0),
    ("Rating Count", 0),
    ("Related Ids", ""),
    ("Upsell Ids", ""),
    ("Cross Sell Ids", ""),
    ("Attributes", ""),
    ("Custom Fields", ""),
    ("Product Parent id", 0),
    ("Variation Description", ""),
    ("Menu Order", 0),
    ("Comment Status", "closed"),
    ("Ping Status", "open")
]

WOO_IMP_EXP_CATEGORY_FIELDS = [
    # ("FieldName", "Default Value"),
    ("Id", ''),
    ("Name", ''),
    ("Slug", ''),
    ("Term Taxonomy Id", ''),
    ("Taxonomy", 'product_cat'),
    ("Parent Id", ''),
    ("Parent Slug", ''),
    ("Description", ''),
    ("Term Group", 0),
    ("Count", ''),
    ("Category Image", ''),
    ("Woocommerce Term Meta", ''),
]
